var gulp = require('gulp');
uglify = require('gulp-uglify');
concat = require('gulp-concat');
minifyCss = require('gulp-minify-css');
rev = require('gulp-rev');
revCollector = require('gulp-rev-collector');

//（1）css
gulp.task('css', function() {                                //- 创建一个名为 concat 的 task
    gulp.src([
'./assets/css/normalize.css',
'./assets/css/plugins/animate.css',
'./assets/css/plugins/jquery.slicknav.css',
'./assets/css/pen-base.css',
'./assets/css/pen-fonts.css',
'./assets/css/pen-typography.css',
'./assets/css/pen-layout.css',
'./assets/css/pen-buttons.css',
'./assets/css/pen-bottom.css',
'./assets/css/pen-comments.css',
'./assets/css/pen-footer.css',
'./assets/css/pen-header.css',
'./assets/css/pen-menus.css',
'./assets/css/pen-navigation.css',
'./assets/css/pen-forms.css',
'./assets/css/pen-content.css',
'./assets/css/pen-thumbnails.css',
'./assets/css/pen-author.css',
'./assets/css/pen-pagination.css',
'./assets/css/pen-share.css',
'./assets/css/pen-search-bar.css',
'./assets/css/pen-top.css',
'./assets/css/pen-widgets.css',
'./assets/css/pen-general.css'])    //- 需要处理的css文件，放到一个字符串数组里
        .pipe(concat('pan.min.css'))                            //- 合并后的文件名
        .pipe(minifyCss())                                      //- 压缩处理成一行
        .pipe(rev())                                            //- 文件名加MD5后缀
        .pipe(gulp.dest('./dist/css'))                               //- 输出文件本地
//         .pipe(rev.manifest())                                   //- 生成一个rev-manifest.json
//         .pipe(gulp.dest('./dist/rev'));                              //- 将 rev-manifest.json 保存到 rev 目录内
});

gulp.task('rev', function() {
    gulp.src(['./rev/*.json', './application/**/header.php'])   //- 读取 rev-manifest.json 文件以及需要进行css名替换的文件
        .pipe(revCollector())                                   //- 执行文件内css名的替换
        .pipe(gulp.dest('./application/'));                     //- 替换后的文件输出的目录
});


// fontawesome.woff移动
// http://cdn.yoqi.me/blog/wp-content/themes/pen/dist/fonts/fontawesome/fontawesome.woff?v=4.7.0

//执行 gulp css
/////////////////////////////////////

//js
gulp.task('js', function () {
  return gulp.src([
	  './assets/js/plugins/jquery.fittext.js',
	  './assets/js/plugins/respond.js',
	  './assets/js/skip-link-focus-fix.js',
	  './assets/js/plugins/autosize.js'])
	.pipe(concat('pan.min.js'))
    .pipe(uglify())
	.pipe(rev())
    .pipe(gulp.dest('dist/js'));
});

// gulp.task('js', function () {
//   return gulp.src('./assets/js/**/*.js')
// 	.pipe(concat('pan.js'))
//     // .pipe(uglify())
// 	.pipe(rev())
//     .pipe(gulp.dest('dist/js'));
// });

// gulp.task('default', ['css', 'rev','js']);